#!/usr/bin/perl -w

use Test::More 'no_plan';

package Catch;

sub TIEHANDLE {
    my($class, $var) = @_;
    return bless { var => $var }, $class;
}

sub PRINT  {
    my($self) = shift;
    ${'main::'.$self->{var}} .= join '', @_;
}

sub OPEN  {}    # XXX Hackery in case the user redirects
sub CLOSE {}    # XXX STDERR/STDOUT.  This is not the behavior we want.

sub READ {}
sub READLINE {}
sub GETC {}
sub BINMODE {}

my $Original_File = 'root/usr/lib/perl5/site_perl/esmith/FormMagick/Panel/quota.pm';

package main;

# pre-5.8.0's warns aren't caught by a tied STDERR.
$SIG{__WARN__} = sub { $main::_STDERR_ .= join '', @_; };
tie *STDOUT, 'Catch', '_STDOUT_' or die $!;
tie *STDERR, 'Catch', '_STDERR_' or die $!;

{
    undef $main::_STDOUT_;
    undef $main::_STDERR_;
#line 50 root/usr/lib/perl5/site_perl/esmith/FormMagick/Panel/quota.pm

use_ok('esmith::FormMagick::Panel::quota');
$FM = esmith::FormMagick::Panel::quota->new();
isa_ok($FM, 'esmith::FormMagick::Panel::quota');
$FM->{cgi} = CGI->new;


    undef $main::_STDOUT_;
    undef $main::_STDERR_;
}

{
    undef $main::_STDOUT_;
    undef $main::_STDERR_;
#line 76 root/usr/lib/perl5/site_perl/esmith/FormMagick/Panel/quota.pm
is($FM->showInitial(), '', 'showInitial');

    undef $main::_STDOUT_;
    undef $main::_STDERR_;
}

{
    undef $main::_STDOUT_;
    undef $main::_STDERR_;
#line 155 root/usr/lib/perl5/site_perl/esmith/FormMagick/Panel/quota.pm

$FM->{cgi}->param(-name=>'acct', -value=>'foononex');
is($FM->modifyUser(),'','modifyUser');


    undef $main::_STDOUT_;
    undef $main::_STDERR_;
}

{
    undef $main::_STDOUT_;
    undef $main::_STDERR_;
#line 234 root/usr/lib/perl5/site_perl/esmith/FormMagick/Panel/quota.pm

$FM->{cgi}->param(-name=>'acct', -value=>'fooquuxb');
is($FM->performModifyUser(),'','performModifyUser');


    undef $main::_STDOUT_;
    undef $main::_STDERR_;
}

{
    undef $main::_STDOUT_;
    undef $main::_STDERR_;
#line 327 root/usr/lib/perl5/site_perl/esmith/FormMagick/Panel/quota.pm
is($FM->toMB(1024),'1.00','toMB');

    undef $main::_STDOUT_;
    undef $main::_STDERR_;
}

{
    undef $main::_STDOUT_;
    undef $main::_STDERR_;
#line 344 root/usr/lib/perl5/site_perl/esmith/FormMagick/Panel/quota.pm
is($FM->toMBNoDecimalPlaces(2050), '2', 'toMBNoDecimalPlaces');

    undef $main::_STDOUT_;
    undef $main::_STDERR_;
}

{
    undef $main::_STDOUT_;
    undef $main::_STDERR_;
#line 368 root/usr/lib/perl5/site_perl/esmith/FormMagick/Panel/quota.pm
is($FM->toKB(4),'4096','toKB');

    undef $main::_STDOUT_;
    undef $main::_STDERR_;
}

{
    undef $main::_STDOUT_;
    undef $main::_STDERR_;
#line 383 root/usr/lib/perl5/site_perl/esmith/FormMagick/Panel/quota.pm
is($FM->GBtoKB(1),1048576,'GBtoKB');

    undef $main::_STDOUT_;
    undef $main::_STDERR_;
}

